import { Editor, Range } from '@tiptap/vue-2';
import Vue from 'vue';
import { GraphDocument } from '../../../../classes';
export declare class ActionItem {
    title: string;
    subTitle: string;
    icon: string;
    action: () => void;
    command?: () => void;
}
export default class ActionList extends Vue {
    command: Function;
    actions: ActionItem[];
    visibleActions: ActionItem[];
    query: string;
    document: GraphDocument;
    selectedIndex: number;
    updateItems(): void;
    updateQuery(): void;
    range: Range;
    editor: Editor;
    private onKeyDown;
    upHandler(): void;
    beforeMount(): void;
    onExit(): void;
    selectAction(action: ActionItem): void;
    downHandler(): void;
    enterHandler(): void;
    selectItem(index: any): void;
}
